osl::move_probability Namespace Reference

## Classes

class | Feature
class | CheckFeature
class | TakeBackFeature
class | SeeFeature
class | CapturePtype
class | ContinueCapture
class | DropCaptured
| 取った駒をすぐ使う More...
class | SquareY
class | SquareX
class | KingRelativeY
class | KingRelativeX
class | FromEffect
class | ToEffect
class | FromEffectLong
class | ToEffectLong
class | PatternCommon
class | PatternBase
class | MoveFromOpposingSliders
class | AttackFromOpposingSliders
class | AttackToOpposingSliders
class | PawnAttack
class | BlockLong
class | BlockLongFrom
class | LongRecapture
class | AddEffectLong
class | LanceAttack
class | BishopAttack
class | RookAttack
class | BreakThreatmate
class | SendOff
class | LureDefender
class | CheckmateIfCapture
class | AttackKing8Long
class | OpposingPawn
class | DropAfterOpposingPawn
class | CoverPawn
class | SacrificeAttack
class | King5x5Ptype
class | KingBlockade
class | CoverFork
class | ThreatmateByCapture
class | PromotionBySacrifice
class | EscapeThreatened
class | BookMove
class | FeatureSet
class | StandardFeatureSet
struct | MoveInfo
struct | PinnedGeneral
struct | StateInfo

## Typedefs

typedef PatternBase< false > | Pattern
typedef PatternBase< true > | PatternPromotion
typedef std::pair< double, Move > | WeightedMove
typedef FixedCapacityVector< WeightedMove, Move::MaxUniqMoves > | WeightedMoveVector

## Functions

bool | operator== (const PinnedGeneral &l, const PinnedGeneral &r)
bool | operator== (const StateInfo &l, const StateInfo &r)

## Variables

std::mutex | standardfeatureset_lock

## Typedef Documentation

## Pattern

typedef PatternBase<false> osl::move_probability::Pattern

Definition at line 558 of file move_probability/feature.h.

## PatternPromotion

typedef PatternBase<true> osl::move_probability::PatternPromotion

Definition at line 559 of file move_probability/feature.h.

## WeightedMove

typedef std::pair<double,Move> osl::move_probability::WeightedMove

Definition at line 18 of file move_probability/featureSet.h.

## WeightedMoveVector

typedef FixedCapacityVector<WeightedMove,Move::MaxUniqMoves> osl::move_probability::WeightedMoveVector

Definition at line 19 of file move_probability/featureSet.h.

## Function Documentation

## operator==() [1/2]

bool osl::move_probability::operator== | ( | const PinnedGeneral & | l,
|  | const PinnedGeneral & | r )

inline

Definition at line 20 of file pinnedGeneral.h.

References osl::move_probability::PinnedGeneral::attack, osl::move_probability::PinnedGeneral::covered, and osl::move_probability::PinnedGeneral::general.

## operator==() [2/2]

bool osl::move_probability::operator== | ( | const StateInfo & | l,
|  | const StateInfo & | r )

Definition at line 253 of file stateInfo.cc.

References osl::move_probability::StateInfo::attack_shadow, osl::move_probability::StateInfo::checkmate_defender, osl::move_probability::StateInfo::copy, osl::move_probability::StateInfo::exchange_pins, osl::move_probability::StateInfo::history, osl::Square::index(), osl::move_probability::StateInfo::king8_long_pieces, osl::move_probability::StateInfo::last_add_effect, osl::move_probability::StateInfo::last_move_ptype5, osl::move_probability::StateInfo::long_attack_cache, osl::move_probability::StateInfo::move_candidate_exists, osl::move_probability::StateInfo::pattern_cache, osl::move_probability::StateInfo::pin, osl::move_probability::StateInfo::pin_by_opposing_sliders, osl::move_probability::StateInfo::progress16, osl::move_probability::StateInfo::sendoffs, osl::move_probability::StateInfo::state, osl::move_probability::StateInfo::threatened, and osl::move_probability::StateInfo::threatmate_move.

## Variable Documentation

## standardfeatureset_lock

std::mutex osl::move_probability::standardfeatureset_lock

Definition at line 295 of file featureSet_.cc.

Referenced by osl::move_probability::StandardFeatureSet::setUp().